import { select, json, geoPath, geoMercator  } from 'd3';

const svg = select('svg');

var w = 760;
var h = 600;

const projection = geoMercator()
								   .center([ -120, 37 ])
								   .translate([ w/2, h/2 ])
								   .scale([ w*3.3 ]);

const pathGenerator = geoPath().projection(projection);

json('https://raw.githubusercontent.com/OpenDataDE/State-zip-code-GeoJSON/master/ca_california_zip_codes_geo.min.json')
	.then(data => {
		const zipcodes = data;
  	svg.selectAll('path')
    	.data(zipcodes.features)
      .enter().append('path')
  		.attr('d', pathGenerator);
});